module Bench.FNV exposing (benchmarks)

import Bench.Native exposing (BenchmarkSuite, bench, suite)
import FNV


hashFn : String -> () -> Int
hashFn str =
    \() -> FNV.hashString str


benchmarks : BenchmarkSuite
benchmarks =
    suite "FNV"
        [ bench "String key" <| hashFn "DictKey" ]
